Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Environment Perspectives

APIs to create and manage Feature Flag Environment perspectives

Upsert a Perspective to an Environment.

put

Adds a perspective to an environment, or updates an existing. An Environment can only have one Perspective

Authorizations
x-api-keystringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier

Example: {"value":"default"}
orgIdentifierstringRequired

Organization Identifier

Example: {"value":"default_org"}
projectIdentifierstringRequired

The Project identifier

environmentIdentifierstringRequired

Environment Identifier

Body
perspectiveIdentifierstringRequiredExample: 12345
perspectiveNamestringRequiredExample: myCluster
Responses
200

OK

application/json
createdAtinteger · int64Required

The date the key was created at in milliseconds

environmentIdstringRequired

The ID of the Environment

Example: 67891
perspectiveIdstringRequired

The ID of the Perspective

Example: 12345
perspectiveIdentifierstringRequired

The Identifier/Common Name of the Perspective

Example: myCluster
updatedAtinteger · int64Required

The date the key was last updated at in milliseconds

put/admin/environments/perspectives
PUT /gateway/cf/admin/environments/perspectives?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&environmentIdentifier=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "perspectiveIdentifier": "12345",
  "perspectiveName": "myCluster"
}
{
  "createdAt": 1,
  "environmentId": "67891",
  "perspectiveId": "12345",
  "perspectiveIdentifier": "myCluster",
  "updatedAt": 1
}

Delete a Perspective - Environment link.

delete

Deletes a perspective from an environment. An Environment can only have one Perspective

Authorizations
x-api-keystringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier

Example: {"value":"default"}
orgIdentifierstringRequired

Organization Identifier

Example: {"value":"default_org"}
projectIdentifierstringRequired

The Project identifier

environmentIdentifierstringRequired

Environment Identifier

Responses
204

No content

No content

delete/admin/environments/perspectives
DELETE /gateway/cf/admin/environments/perspectives?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&environmentIdentifier=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?